Mailinglist Archive: opensuse (626 mails)

< Previous Next >
Re: [opensuse] Re: Qt Creator
On Wed, 07 Nov 2018 23:44:59 +0900
Masaru Nomiya <nomiya@xxxxxxxxxxxxxxxx> wrote:

Hello,

Sorry for late reply.

In the Message;

Subject : [opensuse] Qt Creator
Message-ID : <20181106170413.4a0df427@xxxxxxxxxxxxx>
Date & Time: Tue, 6 Nov 2018 17:04:13 +0000

[Dave] == Dave Howorth <dave@xxxxxxxxxxxxxx> has written:

Dave> Does anybody use Qt Creator? I've just installed it on Leap
Dave> 15.0 (V4.6.1 from the standard repositories) but I'm having
Dave> trouble getting it to work. I've got the main window coming up
Dave> and went to the first tutorial 'Help: Build and Run
Dave> Examples' (Grr! another annoying program that won't allow me to
Dave> select text!). Clicking on that brings up a web page
Dave> <https://doc.qt.io/qtcreator/creator-build-example-application.html>
Dave> and that says I should go to an example, but there appear to
Dave> be no examples installed. In that case, it says to check what
Dave> Qt versions are installed and clicking on that link takes me to
Dave> <https://doc.qt.io/qtcreator/creator-project-qmake.html> and
Dave> that says to 'Select Tools > Options > Kits > Qt Versions >
Dave> Add' but the Tools menu has an Options... button and when I
Dave> select that I get (a modal WTF!) window with lots of
Dave> possibilities but none of them is Kits.

Dave> Oh, and those weblinks are to Qt Creator Manual 4.7.2 so
Dave> there's a possibility that the documentation is wrong because
Dave> it's a different version.

Dave> So what am I missing? Has openSUSE packaged it wrong so I'm
Dave> missing some package or other, or is there a bug in Qt Creator,
Dave> or do I have finger trouble?

I'm using qtcreator 4.7.2, but, sorry, it's hard to understand what
you mean.

I'm sorry, but I don't understand what you don't understand.

Qtcreator's GUI is good, I think. I attach the screen shot of my
qtcreator for you. Perhaps, you could image the operation method of
qtcreator.

Yes, I see a similar page, although slightly different graphics. The
point is that when I clicked on the first example, it took me to a web
page that was the wrong version. However today, clicking on the first
example takes me to the documentation installed on my machine. Which is
now Bug 1115112.

That takes me to the correct instructions, which are Tools > Options >
Build & Run > Qt Versions and following those instructions, I added
/usr/bin/qmake-qt5 to the list of versions, with no error reported. I
gather that means it thinks it was successful, but there are still no
examples installed. So that will be another bug in a little while, I
expect, unless anybody has any suggestions.

Anyway, please install qtcreator 4.7.2;

Thanks, but that is not what I want. I generally stick to the standard
repositories unless there is an extremely good reason to do something
else. I think Qt Creator 4.6.1 should work as shipped.

Sorry!! > Carlos <-- Just an official pacckage only user.

Sorry, don't understand that comment.

Good luck.

Thanks, Dave

--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse+owner@xxxxxxxxxxxx

< Previous Next >